Bug 84584 - [PDF import] Draw mis-renders complex PDF file
Summary: [PDF import] Draw mis-renders complex PDF file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Import-Draw
  Show dependency treegraph
 
Reported: 2014-10-02 04:23 UTC by Matthew Francis
Modified: 2019-05-24 02:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
OSX screenshot (1.10 MB, image/png)
2014-10-02 04:24 UTC, Matthew Francis
Details
Linux screenshot (318.62 KB, image/png)
2014-10-02 04:25 UTC, Matthew Francis
Details
'Preview' screenshot (OSX) (513.61 KB, image/jpeg)
2014-10-02 13:56 UTC, Matthew Francis
Details
Zoomed section from Preview (1.41 MB, image/png)
2014-10-02 13:58 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-10-02 04:23:21 UTC
Reproduced on OSX and Linux, LibreOffice 4.3.2.2 and master

Draw mis-renders the following PDF file:

http://blogs.adobe.com/CCJKType/files/2014/07/shs-table.pdf

This is somewhat of a stress test, as it contains a grid of all 64K characters of "Source Han Sans". As displayed by LO, it doesn't achieve anything like a grid, with some lines displayed at random short lengths while others are rendered extending far beyond the page surface.

In addition, on OSX, the thumbnail view and the main page don't look much like one another.
Comment 1 Matthew Francis 2014-10-02 04:24:19 UTC
Created attachment 107212 [details]
OSX screenshot
Comment 2 Matthew Francis 2014-10-02 04:25:01 UTC
Created attachment 107213 [details]
Linux screenshot
Comment 3 Cor Nouws 2014-10-02 11:04:40 UTC
Thanks Matthew. Do you have a screenshot of how the PDF opens in a PDF reader too? Mine freezes ;)
Comment 4 Matthew Francis 2014-10-02 13:56:01 UTC
Created attachment 107226 [details]
'Preview' screenshot (OSX)

Here you go. I did say it was a good stress test :)
(OSX Preview does a good job on rendering, but is also very slow)
Comment 5 Matthew Francis 2014-10-02 13:58:31 UTC
Created attachment 107227 [details]
Zoomed section from Preview
Comment 6 Cor Nouws 2014-10-02 15:22:22 UTC
Thanks!
I see this is a problem too in LibreOffice 3.3.0, so I set to inherited from OOo
Comment 7 QA Administrators 2015-12-20 16:11:11 UTC Comment hidden (obsolete)
Comment 8 Jouni Järvinen 2016-01-04 01:17:13 UTC
- Window$ 7 Ultimate SP1 x64
-- SumatraPDF 3.1 x64 and 3.1.1 x64 are fine
-- Opera 33.0.1990.115 x86 and 34.0.2036.25 x86 display and behave perfectly, and out of all programs they loaded the fastest, which was very fast
-- LibreOffice 5.0.4.1 x64 took an age, but auto-opened to Draw and no problems with rendering
--- hardware acceleration enabled, using OpenGL for all rendering not
-- Firefox 43.0.3 x86 doesn't load, by how long it's taking and nothing showing up
Comment 9 QA Administrators 2017-03-06 14:04:18 UTC Comment hidden (obsolete)
Comment 10 Jouni Järvinen 2017-03-11 21:49:11 UTC
Identical repro on
- LO Version: 5.3.0.3 (x64) Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e
- Foxit Reader 7.2.8.1124
- Window$ 7 Ultimate SP1 x64
Comment 11 paulystefan 2017-09-01 20:44:34 UTC
Firefox 52.3 64bit pdf-viewer is ok. 
all glyphs in the rectangle like acrobat reader.

same false thing in LOO in 

windows 10 64bit 

Version: 5.3.5.2 (x64)
Build-ID: 50d9bf2b0a79cdb85a3814b592608037a682059d
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: Standard; Layout Engine: new; 
Gebietsschema: de-DE (de_DE); Calc: group

and 

Version: 5.4.0.3 (x64)
Build-ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 12 Jouni Järvinen 2017-09-01 23:41:00 UTC
A new Win7 Ultimate SP1 x64 with Firefox 55.0.3 x64 (using 10 processes) takes like half a minute to render the page at 25-30% CPU but it does it. On second try without rebooting the browser it renders it in under 10 seconds at very similar CPU.
Comment 13 QA Administrators 2019-05-24 02:57:57 UTC
Dear Matthew Francis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug